Loading...
Searching...
No Matches
libsbml.ostream Class Reference
Inheritance diagram for libsbml.ostream:
[legend]

## Detailed Description

Wrapper class for the C++ standard stream `ostream`.

The C++ `ostream` provides an interface for writing data to the standard C++ output streams named `cout`, `cerr` and `clog`. This Python class, `ostream`, wraps the C++ `ostream` and provides an interface to it. The file to be associated with the stream can be specified as a parameter to the constructors in this class.

This class may be useful because some libSBML methods accept an argument for indicating where to send text string output. An example is the SBMLDocument#printErrors() method. The methods use C++ style streams and not Python stream objects. The ostream object exists to bridge the Python and underlying native implementation. It is a simple wrapper around the underlying stream object.

## Public Member Functions

| __init__ (self)

## Constructor & Destructor Documentation

## __init__()

libsbml.ostream.__init__ | ( |  | self | ) |

Method variant with the following signature:

    __init__()    string

Constructor for ostream objects.